Skip to main content
Version: Version 1.0

Get summary

The get summary endpoint provides a concise summary of a conversation by analyzing the contents of a conversation that might have several pages of transcripts. This endpoint is particularly useful in situations where a quick overview of a long conversation is needed.

A summary is a condensed version of the main points from a conversation or document. For instance, a meeting summary could be: "The team discussed a new project, assigned the lead role to Jane, and set a completion date for end of Q3."

Before we start​

Transcripts must be generated upon request. If you have already generated a transcript, you can use the recordingId to get the summary.

How to use​

You can use the following cURL to obtain a response on the endpoint:

curl --location --request GET https://api.superviz.com/recordings/transcripts/{recordingId}/summary \
--header 'Content-Type: application/json' \
--header "client_id: ${YOUR CLIENT_ID}" \
--header "secret: ${YOUR SECRET}" \
--header "passphrase: ${YOUR PASSPHRASE}"

HTTP Request​

GET https://api.superviz.com/recordings/transcripts/{recordingId}/summary
NameDescription
recordingIdThis field contains the unique identification of the recording, which can be found with the GET Recordings endpoint.

Headers​

When using this endpoint, you need to provide the Authorization Bearer token and the passphrase. The following headers are required:

NameDescription
client_idRequired. You need to use the Client ID to authenticate in this repository. You can retrieve your Client ID under the Dashboard > Developer > Keys.
secretRequired. You need to use the Secret Key to authenticate in this repository. You can create a new API Secret under our Dashboard > Developer > Keys.
passphraseRequired. The passphrase of your organization that allows the decryption of the transcript content. You can create a new passphrase under our Dashboard > Developer > Keys.

Response​

Status code 200 will indicate that the request was successful. The response will be a list of objects in JSON format and include the following fields:

NameTypeDescription
textstringThis field contains one of the main points discussed during the meeting.

Example:

[
{
"text": "Speaker 3 praises Speaker 4 for their acting skills. Speaker 4 appreciates the praise.",
},
{
"text": " Speaker 2 wants to play a superhero in a major Hollywood movie.",
},
...
]